import java.util.*;
import oosd.shapes.*;
import oosd.containers.*;

class ClientExc {
    public static void main(String args[]) {
        QueueListIt<Shape> myq = new QueueListIt<Shape>();
        myq.push(new Circle("red", 5.0));
        myq.push(new Triangle("yellow", 3.0, 4.0));
        myq.push(new Rectangle("blue", 3.0, 4.0));

        for (Shape s: myq) {
            System.out.println(s.area());
            try {
                double d = ((Rectangle)s).diagonal();
                System.out.println(d);
            } catch(ClassCastException e) {
                System.out.println("Not a rectangle");
            }
        }
    }
}
