import java.util.*;
import oosd.shapes.*;
import oosd.containers.*;

class ClientRTTI {
    public static void main(String args[]) {
        QueueListIt<Shape> myq = new QueueListIt<Shape>();
        myq.push(new Circle("red", 5.0));
        myq.push(new Triangle("yellow", 3.0, 4.0));
        myq.push(new Rectangle("blue", 3.0, 4.0));
        Iterator<Shape> it = myq.iterator();
        while (it.hasNext()) {
            Shape s = it.next(); 
            System.out.println(s.area());
            if (s instanceof Rectangle) 
                System.out.println(((Rectangle)s).diagonal());
        }
    }
}
