import java.util.*;
import oosd.shapes.*;
import oosd.containers.*;

class ClientRTTI2 {
    public static void main(String args[]) {
        QueueListIt<Shape> myq = new QueueListIt<Shape>();
        
        // upcast, never fails
        myq.push(new Circle("red", 5.0));
        myq.push(new Triangle("yellow", 3.0, 4.0));
        myq.push(new Rectangle("blue", 3.0, 4.0));
        Iterator<Shape> it = myq.iterator();
        while (it.hasNext()) {
            Shape s = it.next(); 
            System.out.println("Object of class: " + s.getClass().getName() +
                               " in package: " + s.getClass().getPackage());
            System.out.println("Object is compatible with Rectangle: " +
                               Rectangle.class.isInstance(s));
            // Rectangle.class is equivalent to 
            // Class.forName("Rectangle").isInstance(s)
            System.out.println(s.area());
        }
    }
}
